Package io.vertx.ext.web.api.service.generator

## Class WebApiProxyHandlerGen

- java.lang.Object
- - io.vertx.codegen.processor.Generator<ProxyModel>
  - - io.vertx.serviceproxy.generator.ServiceProxyHandlerGen
    - - io.vertx.ext.web.api.service.generator.WebApiProxyHandlerGen

-     public class WebApiProxyHandlerGen
      extends ServiceProxyHandlerGen

  Author:
    Francesco Guardiani @slinkydeveloper

- - ### Field Summary

    - ### Fields inherited from class io.vertx.serviceproxy.generator.ServiceProxyHandlerGen

      `numericMapping, utils`

    - ### Fields inherited from class io.vertx.codegen.processor.Generator

      `env, incremental, kinds, name`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `WebApiProxyHandlerGen​(GeneratorUtils utils)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.stream.Stream<String>` | `additionalImports()` |
    `Collection<Class<? extends Annotation>>` | `annotations()` |
    `String` | `className​(ProxyModel model)` |
    `void` | `generateActionSwitchEntry​(ProxyMethodInfo m, io.vertx.codegen.processor.writer.CodeWriter writer)` |
    `void` | `generateAdditionalMethods​(ProxyModel model, io.vertx.codegen.processor.writer.CodeWriter writer)` |
    `String` | `generateJsonParamExtractFromContext​(io.vertx.codegen.processor.ParamInfo param)` |

    - ### Methods inherited from class io.vertx.serviceproxy.generator.ServiceProxyHandlerGen

      `filename, generateHandler, generateJsonParamExtract, render`

    - ### Methods inherited from class io.vertx.codegen.processor.Generator

      `load`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WebApiProxyHandlerGen

          public WebApiProxyHandlerGen​(GeneratorUtils utils)

  - ### Method Detail

    - #### annotations

          public Collection<Class<? extends Annotation>> annotations()

      Overrides:
        `annotations` in class `ServiceProxyHandlerGen`

    - #### className

          public String className​(ProxyModel model)

      Overrides:
        `className` in class `ServiceProxyHandlerGen`

    - #### additionalImports

          public java.util.stream.Stream<String> additionalImports()

      Overrides:
        `additionalImports` in class `ServiceProxyHandlerGen`

    - #### generateAdditionalMethods

          public void generateAdditionalMethods​(ProxyModel model,
                                                io.vertx.codegen.processor.writer.CodeWriter writer)

      Overrides:
        `generateAdditionalMethods` in class `ServiceProxyHandlerGen`

    - #### generateActionSwitchEntry

          public void generateActionSwitchEntry​(ProxyMethodInfo m,
                                                io.vertx.codegen.processor.writer.CodeWriter writer)

      Overrides:
        `generateActionSwitchEntry` in class `ServiceProxyHandlerGen`

    - #### generateJsonParamExtractFromContext

          public String generateJsonParamExtractFromContext​(io.vertx.codegen.processor.ParamInfo param)